@import '../../../../public/assets/styles/variables';
@import '../../../../public/assets/styles/functions';

.preorder {
  padding: calcFluidFontSize(40, 43) calcFluidFontSize(25, 160) calcFluidFontSize(32, 67);
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  width: 100%;
  box-sizing: border-box;
  background: linear-gradient(180deg, #FFFFFF 0%, #F3F3F3 100%);
  @media (max-width: 1600px) {
    padding: calcFluidFontSize(40, 43) calcFluidFontSize(25, 75) calcFluidFontSize(32, 67);
  }
  @media (max-width: 1400px) {
    padding: calcFluidFontSize(40, 43) calcFluidFontSize(25, 50) calcFluidFontSize(32, 67);
  }
}

.product-сards {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  max-width: 950px;
  width: 100%;
}

.one-product-card {
  justify-content: center;
}

.recommendationsForOrder {
  max-width: 500px;
  min-width: 300px;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-right: 15px;
  &__headline {
    font-size: calcFluidFontSize(30, 32);
    line-height: 42px;
    color: $text-color;
  }
  &__text {
    margin: 32px 0 calcFluidFontSize(32, 42);
  }
  &__text, &__economy {
    font-size: 18px;
    line-height: 32px;
    color: $text-color;
  }
  &__economy {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 32px;
    span {
      font-size: 32px;
      line-height: 37px;
      color: #ff5050;
      margin: 0 11px;
    }
  }
  .price-counter__button-icon {
    display: inline-block;
    width: 25px;
    height: 25px;
    margin-right: 11px;
    background-image: url('/assets/images/icons/cart-icon-white.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 50%;
    @media (max-width: 1366px) {
      width: 20px;
      height: 20px;
      margin-right: 9px;
    }
  }
  .button {
    margin: 0 auto;
    max-width: 292px;
    width: 100%;
    height: 62px;
    .button__first-inner {
      max-width: 281px;
      width: 100%;
      height: 52px;
      .button__second-inner {
        max-width: 276px;
        width: 100%;
        height: 48px;
        .button__text {
          font-size: 18px;
          font-weight: 500;
        }
      }
    }
  }
}

.first-neitronik {
  .product-card__img-container {
    max-width: 293px;
  }
}

@media (min-width: 1920px) {
  .product-сards {
    max-width: get-vw(950px);
  }
  .recommendationsForOrder {
    max-width: get-vw(500px);
    .button {
      max-width: get-vw(292px);
      width: 100%;
      height: get-vw(62px);
      .button__first-inner {
        max-width: get-vw(281px);
        width: 100%;
        height: get-vw(52px);
        .button__second-inner {
          max-width: get-vw(276px);
          width: 100%;
          height: get-vw(48px);
          .button__text {
            font-size: get-rem(18px);
            font-weight: 500;
          }
        }
      }
    }
    &__headline {
      font-size: get-rem(32px);
      line-height: get-rem(42px);
    }
    &__text {
      margin: get-vw(32px) 0 get-vw(42px);
    }
    &__text, &__economy {
      font-size: get-rem(18px);
      line-height: get-rem(32px);
    }
    &__economy {
      margin-bottom: get-vw(32px);
      span {
        font-size: get-rem(32px);
        line-height: get-rem(37px);
      }
    }
  }
}

@media (max-width: 1300px) {
  .preorder {
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
  }
  .recommendationsForOrder {
    min-width: auto;
  }
  .product-сards {
    margin-top: 48px;
  }
}

@media (max-width: 460px) {
  .preorder {
    background: linear-gradient(180deg, #FFFFFF 0%, #F3F3F3 100%);
  }
}

@media (max-width: 375px) {
  .recommendationsForOrder {
    .button {
      max-width: 255px;
      height: 59px;
      .button__first-inner {
        max-width: 248px;
        .button__second-inner {
          max-width: 244px;
        }
      }
    }
  }
}

@media (max-width: 460px) {
  .preorder {
    .product-card {
      background: none;
      box-shadow: none;
      margin: 0;
      padding: 0;
      &__first-panel {
        background: none;
        box-shadow: none;
        border: none;
        padding: 0;
      }
      &__second-panel {
        background: none;
        box-shadow: none;
        padding: 0;
      }
    }
    .rounded-input {
      max-width: 238px;
    }
  }
}

@media (max-width: 850px) {
  .preorder {
    .product-сards {
      flex-direction: column;
      align-items: center;
      .product-card {
        &__img-container {
          height: auto;
        }
        &:first-child {
          margin-bottom: 39px;
        }
      }
    }
  }
}


